---
description: |-
  ## Linked Properties

  |  Link     | Description                                              | Type           | Constraints           | Supported operations |
  |:---------:|----------------------------------------------------------| -------------- | --------------------- | -------------------- |
  | self      | This UserPreferences                                     | UserPreferences| not null              | READ                 |
  | user      | The user that this preference belongs to                 | User           | not null              | READ                 |

  ## Local Properties

  | Property               | Description                                                                     | Type                | Constraints | Supported operations |
  |:----------------------:| -----------------------------------------------------------                     | ----------          | ----------- | -------------------- |
  | autoHidePopups         | Whether to hide popups (e.g. success messages) after 5 seconds                  | Boolean             |             | READ / WRITE         |
  | hideMail               | Hide mail address from other users                                              | Boolean             |             | READ / WRITE         |
  | notifications          | The settings for the notifications to be received by the user                   | NotificationSetting |             | READ / WRITE         |
  | timeZone               | Current selected time zone                                                      | String              |             | READ / WRITE         |
  | commentSortDescending  | Sort comments in descending order                                               | Boolean             |             | READ / WRITE         |
  | warnOnLeavingUnsaved   | Issue warning when leaving a page with unsaved text                             | Boolean             |             | READ / WRITE         |
name: UserPreferences
